Security Enhanced Linux Reference Policy

# Layer: services

## Module: psad

Interfaces

### Description:

Intrusion Detection and Log Analysis with iptables

### Interfaces:

psad_admin( domain , role )

##### Summary

All of the rules required to administrate an psad environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the syslog domain.

psad_append_log( domain )

##### Summary

Allow the specified domain to append to psad's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_domtrans( domain )

##### Summary

Execute a domain transition to run psad.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

psad_manage_config( domain )

##### Summary

Manage psad etc configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_config( domain )

##### Summary

Read psad etc configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_log( domain )

##### Summary

Allow the specified domain to read psad's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_pid_files( domain )

##### Summary

Read psad PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_fifo_file( domain )

##### Summary

Read and write psad fifo files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_pid_files( domain )

##### Summary

Read psad PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_tmp_files( domain )

##### Summary

Read and write psad tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_signal( domain )

##### Summary

Send a generic signal to psad

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_signull( domain )

##### Summary

Send a null signal to psad.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return